<h1>Login</h1>

<form #loginForm="ngForm">

  <mat-form-field appearance="fill">
    <mat-label>Email</mat-label>
    <input matInput name="email" [(ngModel)]="email" #emailModel="ngModel" required email>
    <mat-error [printErrors]="emailModel"></mat-error>
  </mat-form-field>

  <mat-form-field appearance="fill">
    <mat-label>Password</mat-label>
    <input matInput type="password" name="password" [(ngModel)]="password" #passwordModel="ngModel" required>
    <mat-error [printErrors]="passwordModel"></mat-error>
  </mat-form-field>

  <p class="error">{{error}}</p>
  {{email}}

  <div class="actions">
    <button mat-raised-button routerLink="/users">Cancel</button>
    <button
      mat-raised-button
      color="primary"
      (click)="onLogin()"
      [disabled]="loginForm.invalid && (loginForm.dirty || loginForm.touched)">
      Submit</button>
  </div>

</form>
